# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "goose_game/version"

Gem::Specification.new do |s|
  s.name = "goose_game"
  s.version = GooseGame::VERSION
  s.authors = ["costajob"]
  s.email = ["costajob@gmail.com"]
  s.license = "MIT"
  s.summary = "Implementation of the Goose Game code kata"
  s.homepage = "https://github.com/costajob/goose_game.git"
  s.files = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  s.bindir = "bin"
  s.executables << "goose_game" 
  s.require_paths = ["lib"]
  s.required_ruby_version = ">= 2.4.1"
  s.add_development_dependency "bundler", "~> 2.0"
  s.add_development_dependency "rake", "~> 12.3"
  s.add_development_dependency "minitest", "~> 5.11"
end
